Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • 10:06
    renovate[bot] synchronize #176
  • 10:06

    renovate[bot] on dev

    chore(dependencies): update dev… (compare)

  • 06:12
    codecov-commenter commented #884
  • 05:45
    codecov-commenter commented #884
  • 05:45
    renovate[bot] edited #784
  • 05:45
    renovate[bot] edited #884
  • 05:45
    renovate[bot] edited #884
  • 05:45
    renovate[bot] synchronize #884
  • 05:45

    renovate[bot] on dev

    chore(development dependencies)… (compare)

  • 05:44

    stencila-ci on v0.54.0

    (compare)

  • 05:44

    stencila-ci on master

    chore(release): 0.54.0 [skip ci… (compare)

  • 05:12

    nokome on master

    chore(development dependencies)… fix(Plugins): Get latest manife… Merge remote-tracking branch 'o… and 4 more (compare)

  • 04:56
    renovate[bot] edited #119
  • 04:53
    renovate[bot] synchronize #176
  • 04:53

    renovate[bot] on dev

    chore(dependencies): update dev… (compare)

  • 04:53
    renovate[bot] commented #176
  • 04:49
    fkmendes added as member
  • 04:34
    codecov-commenter commented #884
  • 04:05
    codecov-commenter commented #884
  • 04:05
    renovate[bot] edited #784
Finlay Thompson
@finlay
not yet
Nokome Bentley
@nokome
Oh right, I thought the --insecure flag worked
Finlay Thompson
@finlay
no, it moved the problem to the next level
Now I am getting blocked on the API rate limit at Github!
on my laptop, which is not on the corporate network...
Nokome Bentley
@nokome
Right - well you could just use the "manual" instructions https://github.com/stencila/nixster#linux
Finlay Thompson
@finlay
okay, so the guest wifi was also blocked because of the API limits at Github. Presumably many people hitting the github api all the time from a big organisation
all being seen from one, non-authenticated, IP address
I'll try the manual instructions...
Nokome Bentley
@nokome
Wow, lots of roadblocks :construction: !
Finlay Thompson
@finlay
No, can't do a manual download on the MBIE network
Blocked because: "Your request was denied because of its content categorization: "MED Safe Sites;Software Downloads;Content Servers""
Guess its the "Software Downloads" bit
Finlay Thompson
@finlay
Okay, got the binary onto the computer. Now I get a more serious error:
finlay@triage-lab:~$ nixster --help
pkg/prelude/bootstrap.js:1185
      throw error;
      ^

Error: Cannot find module '../build/better_sqlite3.node'
1) If you want to compile the package/file into executable, please pay attention to compilation warnings and specify a literal in 'require' call. 2) If you don't want to compile the package/file into executable and want to 'require' it from filesystem (likely plugin), specify an absolute path in 'require' call using process.cwd() or process.execPath.
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:580:15)
    at Function.Module._resolveFilename (pkg/prelude/bootstrap.js:1287:46)
    at Function.Module._load (internal/modules/cjs/loader.js:506:25)
    at Module.require (internal/modules/cjs/loader.js:635:17)
    at Module.require (pkg/prelude/bootstrap.js:1166:31)
    at require (internal/modules/cjs/helpers.js:22:18)
    at Object.<anonymous> (/snapshot/nixster/node_modules/better-sqlite3/lib/database.js:5:21)
    at Module._compile (pkg/prelude/bootstrap.js:1261:22)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:710:10)
    at Module.load (internal/modules/cjs/loader.js:598:32)
That looks like it needs to have a access to a sqlite3 db somewhere ?
-rwxr-xr-x 1 finlay finlay 56M May 16 10:45 /usr/local/bin/nixster
Does that look to be right size ?
hmm, annoyingly it works fine on my 16.04 laptop...
with the exact same file
Nokome Bentley
@nokome
I'll check...
Nokome Bentley
@nokome
I get the same size as you...now wondering about that sqlite3 issue
it looks like it can't find the binary node module that provides the sqlite bindings
Finlay Thompson
@finlay
yeah, which I would need to install globally ?
Nokome Bentley
@nokome
no, it should come in the nixster binary and get unpacked
Finlay Thompson
@finlay
okay, so it is not just the binary...
Nokome Bentley
@nokome
Can you please ls .local/bin/node_modules

This is what I get:

> ls .local/bin/node_modules
better-sqlite3/  integer/  node-pty/

Those modules (which have native binaries) are unpacked when you first run the nixster binary (we need to put them in a better place)

Finlay Thompson
@finlay
Okay, I worked out what the problem is.....
So if I run it in .local/bin it unpacks the files into .local/bin/
but, I put the file into /user/local/bin/
and it couldn't do that
file permissions etc.
but, I ran it with sudo, and now it works without sudo
Maybe the installer should extract the files at the same time ?
I now have a functioning nixster on the commandline!
Nokome Bentley
@nokome
Great, thanks for your patience. Need to capture some of these issues and work out best approach
Finlay Thompson
@finlay
no problems....
Finlay Thompson
@finlay
Downloading nix derivations!
Nokome Bentley
@nokome
For your haskell project?
Finlay Thompson
@finlay
yeah
Can I get override the 'envs' directory ?
I would like to save the yaml file locally...
finlay @finlay causes lots of trouble ...
Nokome Bentley
@nokome
Hah. Not currently. Please create a feature request ticket
Finlay Thompson
@finlay
Done
Added a couple actually
Nokome Bentley
@nokome
Thanks
Finlay Thompson
@finlay
Can I keep bothering you with questions ?
Nokome Bentley
@nokome
Sure
:thumbsup: